Package twisted :: Package internet :: Module unix :: Class Connector

[show private | hide private]
[frames | no frames]

## Class Connector

    BaseConnector --+
                    |
                   Connector

Method Summary
| `__init__(self, address, factory, timeout, reactor)`
| `buildProtocol(self, addr)` (inherited from `BaseConnector`)
| `cancelTimeout(self)` (inherited from `BaseConnector`)
| ``connect`(self)` Start connection to remote server. (inherited from `BaseConnector`)
| `connectionFailed(self, reason)` (inherited from `BaseConnector`)
| `connectionLost(self, reason)` (inherited from `BaseConnector`)
| ``disconnect`(self)` Disconnect whatever our state is. (inherited from `BaseConnector`)
| `getDestination(self)`
| ``stopConnecting`(self)` Stop attempting to connect. (inherited from `BaseConnector`)
| `_makeTransport(self)`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:07 2003 | http://epydoc.sf.net